File attachments can be included on a side conversation.

Admins can also permanently redact side conversation attachments with dedicated redact endpoint.

JSON format

Side Conversation Attachments are represented as JSON objects with the following properties:

NameTypeRead-onlyMandatoryDescription
content_typestringtruefalseThe content type of the attachment
heightintegertruefalseThe height of the attachment image
idstringtruefalseThe id of the side conversation attachment
namestringfalsefalseThe name of the attachment
sizeintegertruefalseThe size of the attachment
widthintegertruefalseThe width of the attachment image

Example

{  "content_type": "image/png",  "height": 214,  "id": "s3-d2a3111e-26d9-4e1c-88b4-cf7c0649d81d",  "name": "image.png",  "size": 50645,  "width": 406}

Create Side Conversation Attachments

  • POST /api/v2/tickets/side_conversations/attachments

Creates a new side conversation attachment.

Allowed For

  • Agents

Request Body

Takes a file object as multipart/form-data for the uploaded attachment.

Code Samples

curl
curl https://{subdomain}.zendesk.com/api/v2/tickets/side_conversations/attachments.json \  -F '[email protected]' \  -H "Content-Type: multipart/form-data" -v -u {email_address}/token:{api_token} -X POST
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://support.zendesk.com/api/v2/tickets/side_conversations/attachments"	method := "POST"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do